OpenNMS API 1.2.9

## org.opennms.netmgt.config
Class CapsdConfigFactory.ProtocolInfo

    java.lang.Object
      org.opennms.netmgt.config.CapsdConfigFactory.ProtocolInfo

Enclosing class:
  CapsdConfigFactory

public static final class CapsdConfigFactory.ProtocolInfo
extends java.lang.Object

This class is used to encapsulate the basic protocol information read from the config file. The information includes the plugin, the protocol name, the merged parameters to the plugin, and the action to be taken.

Author:
  Weave , OpenNMS

Field Summary
`private java.lang.Integer` `m_action` The integer value that represents the action that should be taken to poll the interface.
`private java.util.Map` `m_parameters` the map or parameters passed to the plugin
`private Plugin` `m_plugin` The plugin used to poll the interface
`private java.lang.String` `m_protocol` The name of the protocol supported by the plugin.

Constructor Summary
`CapsdConfigFactory.ProtocolInfo(java.lang.String proto, Plugin plugin, java.util.Map params, java.lang.Integer action)` Constructs a new protocol information element.

Method Summary
`boolean` `autoEnabled()` Returns true if the configuration has this particular module set as automaticall enabled.
`java.util.Map` `getParameters()` Returns the input parameters for the plugin
`Plugin` `getPlugin()` Returns the plugin module
`java.lang.String` `getProtocol()` Returns the protocol name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_plugin

    private Plugin m_plugin

  The plugin used to poll the interface

### m_protocol

    private java.lang.String m_protocol

  The name of the protocol supported by the plugin.

### m_parameters

    private java.util.Map m_parameters

  the map or parameters passed to the plugin

### m_action

    private java.lang.Integer m_action

  The integer value that represents the action that should be taken to poll the interface.

Constructor Detail

### CapsdConfigFactory.ProtocolInfo

    public CapsdConfigFactory.ProtocolInfo(java.lang.String proto,
                                           Plugin plugin,
                                           java.util.Map params,
                                           java.lang.Integer action)

  Constructs a new protocol information element.

Parameters:
  `proto` - The protocol supported.
  `plugin` - The plugin module
  `params` - The parameters for the plugin.
  `action` - The action to take.

Method Detail

### getProtocol

    public java.lang.String getProtocol()

  Returns the protocol name

### getPlugin

    public Plugin getPlugin()

  Returns the plugin module

### getParameters

    public java.util.Map getParameters()

  Returns the input parameters for the plugin

### autoEnabled

    public boolean autoEnabled()

  Returns true if the configuration has this particular module set as automaticall enabled.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.